Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Image object

This object gives access to Images in Blender.

Method Summary |
int | `getDepth()` Get the pixel depth of this image.
string | `getFilename()` Get the filename of the image file loaded into this Image object.
string | `getName()` Get the name of this Image object.
list of 2 ints | `getSize()` Get the [width, height] dimensions (in pixels) of this image.
int | `getXRep()` Get the number of repetitions in the x (horizontal) axis for this Image.
int | `getYRep()` Get the number of repetitions in the y (vertical) axis for this Image.
| `setName(name)` Set the name of this Image object.
| `setXRep(xrep)` Texture tiling: set the number of x repetitions for this Image.
| `setYRep(yrep)` Texture tiling: set the number of y repetitions for this Image.

Class Variable Summary |
| `depth` - The pixel depth of the image.
| `filename` - The filename (path) to the image file loaded into this Image object.
| `name` - The name of this Image object.
| `size` - The [width, height] dimensions of the image (in pixels).
| `xrep` - Texture tiling: the number of repetitions in the x (horizontal) axis.
| `yrep` - Texture tiling: the number of repetitions in the y (vertical) axis.

Method Details |

getDepth()

Get the pixel depth of this image.

  Returns:

    int

getFilename()

Get the filename of the image file loaded into this Image object.

  Returns:

    string

getName()

Get the name of this Image object.

  Returns:

    string

getSize()

Get the [width, height] dimensions (in pixels) of this image.

  Returns:

    list of 2 ints

getXRep()

Get the number of repetitions in the x (horizontal) axis for this Image. This is for texture tiling.

  Returns:

    int

getYRep()

Get the number of repetitions in the y (vertical) axis for this Image. This is for texture tiling.

  Returns:

    int

setName(name)

Set the name of this Image object.

  Parameters:

    `name` - The new name.

    (type=string)

setXRep(xrep)

Texture tiling: set the number of x repetitions for this Image.

  Parameters:

    `xrep` - The new value in [1, 16].

    (type=int)

setYRep(yrep)

Texture tiling: set the number of y repetitions for this Image.

  Parameters:

    `yrep` - The new value in [1, 16].

    (type=int)

Class Variable Details |

depth The pixel depth of the image.

filename The filename (path) to the image file loaded into this Image object.

name The name of this Image object.

size The [width, height] dimensions of the image (in pixels).

xrep Texture tiling: the number of repetitions in the x (horizontal) axis.

yrep Texture tiling: the number of repetitions in the y (vertical) axis.

<<< Previous | Home | Next >>>
Class Image | Up | Module Text